> ## Documentation Index
> Fetch the complete documentation index at: https://agentmail.manicule.dev/llms.txt
> Use this file to discover all available pages before exploring further.
> For every page in one file, fetch https://agentmail.manicule.dev/llms-full.txt (large).
> To search and read these docs as tools, connect the MCP server at https://agentmail.manicule.dev/api/mcp.
> Every agent surface: https://agentmail.manicule.dev/.well-known/llms-manifest.json

# List Drafts (/api-reference/list-drafts-2)

<!-- agent-signals: reading_time_min: 4 · est_tokens: 2707 · updated: 2026-09-29 -->
Related: [Sign Up](/api-reference/sign-up.md), [Attach Human](/api-reference/attach-human.md), [Verify](/api-reference/verify.md), [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Search Inboxes](/api-reference/search-inboxes.md)

# List Drafts

`GET /v0/drafts`

> **CLI:**
> ```bash
> agentmail drafts list
> ```

Base URL: `https://api.agentmail.to`

Base URL: `https://x402.api.agentmail.to`

Base URL: `https://mpp.api.agentmail.to`

Base URL: `https://api.agentmail.eu`

## OpenAPI

```json
{
  "servers": [
    {
      "url": "https://api.agentmail.to",
      "description": "prod"
    },
    {
      "url": "https://x402.api.agentmail.to",
      "description": "prod-x402"
    },
    {
      "url": "https://mpp.api.agentmail.to",
      "description": "prod-mpp"
    },
    {
      "url": "https://api.agentmail.eu",
      "description": "eu-prod"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "securitySchemes": {
    "Bearer": {
      "type": "http",
      "scheme": "bearer"
    }
  },
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "description": "Limit of number of items returned.",
        "title": "Limit"
      }
    },
    {
      "name": "page_token",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "description": "Page token for pagination.",
        "title": "PageToken"
      }
    },
    {
      "name": "labels",
      "in": "query",
      "required": false,
      "schema": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Labels to filter by.",
        "title": "Labels"
      }
    },
    {
      "name": "before",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "format": "date-time",
        "description": "Timestamp before which to filter by.",
        "title": "Before"
      }
    },
    {
      "name": "after",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "format": "date-time",
        "description": "Timestamp after which to filter by.",
        "title": "After"
      }
    },
    {
      "name": "ascending",
      "in": "query",
      "required": false,
      "schema": {
        "type": "boolean",
        "description": "Sort in ascending temporal order.",
        "title": "Ascending"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Response with status 200",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "count": {
                "type": "integer",
                "description": "Number of items returned.",
                "title": "Count"
              },
              "limit": {
                "type": "integer",
                "description": "Limit of number of items returned.",
                "title": "Limit"
              },
              "next_page_token": {
                "type": "string",
                "description": "Page token for pagination.",
                "title": "PageToken"
              },
              "drafts": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "inbox_id": {
                      "type": "string",
                      "description": "The ID of the inbox.",
                      "title": "InboxId"
                    },
                    "draft_id": {
                      "type": "string",
                      "description": "ID of draft.",
                      "title": "DraftId"
                    },
                    "labels": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Labels of draft.",
                      "title": "DraftLabels"
                    },
                    "to": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of recipients. In format `username@domain.com` or `Display Name <username@domain.com>`.",
                      "title": "DraftTo"
                    },
                    "cc": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of CC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`.",
                      "title": "DraftCc"
                    },
                    "bcc": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of BCC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`.",
                      "title": "DraftBcc"
                    },
                    "subject": {
                      "type": "string",
                      "description": "Subject of draft.",
                      "title": "DraftSubject"
                    },
                    "preview": {
                      "type": "string",
                      "description": "Text preview of draft.",
                      "title": "DraftPreview"
                    },
                    "attachments": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "attachment_id": {
                            "type": "string",
                            "description": "ID of attachment.",
                            "title": "AttachmentId"
                          },
                          "filename": {
                            "type": "string",
                            "description": "Filename of attachment.",
                            "title": "AttachmentFilename"
                          },
                          "size": {
                            "type": "integer",
                            "description": "Size of attachment in bytes.",
                            "title": "AttachmentSize"
                          },
                          "content_type": {
                            "type": "string",
                            "description": "Content type of attachment.",
                            "title": "AttachmentContentType"
                          },
                          "content_disposition": {
                            "type": "string",
                            "enum": [
                              "inline",
                              "attachment"
                            ],
                            "description": "Content disposition of attachment.",
                            "title": "AttachmentContentDisposition"
                          },
                          "content_id": {
                            "type": "string",
                            "description": "Content ID of attachment.",
                            "title": "AttachmentContentId"
                          }
                        },
                        "required": [
                          "attachment_id",
                          "size"
                        ],
                        "title": "Attachment"
                      },
                      "description": "Attachments in draft.",
                      "title": "DraftAttachments"
                    },
                    "in_reply_to": {
                      "type": "string",
                      "description": "ID of message being replied to.",
                      "title": "DraftInReplyTo"
                    },
                    "forward_of": {
                      "type": "string",
                      "description": "ID of message being forwarded.",
                      "title": "DraftForwardOf"
                    },
                    "send_status": {
                      "type": "string",
                      "enum": [
                        "scheduled",
                        "sending",
                        "failed"
                      ],
                      "description": "Schedule send status of draft.",
                      "title": "DraftSendStatus"
                    },
                    "send_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which to schedule send draft.",
                      "title": "DraftSendAt"
                    },
                    "updated_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which draft was last updated.",
                      "title": "DraftUpdatedAt"
                    }
                  },
                  "required": [
                    "inbox_id",
                    "draft_id",
                    "labels",
                    "updated_at"
                  ],
                  "title": "DraftItem"
                },
                "description": "Ordered by `updated_at` descending."
              }
            },
            "required": [
              "count",
              "drafts"
            ],
            "title": "ListDraftsResponse"
          }
        }
      }
    },
    "404": {
      "description": "Error response with status 404",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "name": {
                "type": "string",
                "description": "Name of error.",
                "title": "ErrorName"
              },
              "code": {
                "type": "string",
                "description": "Stable, machine-readable error code in snake_case (for example, not_found or missing_permission). Branch on this rather than the message text.",
                "title": "ErrorCode"
              },
              "message": {
                "type": "string",
                "description": "Error message.",
                "title": "ErrorMessage"
              },
              "fix": {
                "type": "string",
                "description": "The concrete next action that resolves the error.",
                "title": "ErrorFix"
              },
              "docs": {
                "type": "string",
                "description": "Link to the error reference entry for this code.",
                "title": "ErrorDocs"
              }
            },
            "required": [
              "name",
              "message"
            ],
            "title": "ErrorResponse"
          }
        }
      }
    }
  }
}
```
